<template>
  <div class="main">
    <el-tabs v-model="activeName" :lazy="true" type="border-card">
<!--      <el-tab-pane label="外来人员管理" name="外来人员管理">-->
<!--        <ExternalPersonnelManagement v-if="activeName === '外来人员管理'"/>-->
<!--      </el-tab-pane>-->
<!--      <el-tab-pane label="实验室设施场所信息" name="实验室设施场所信息">-->
<!--        空-->
<!--      </el-tab-pane>-->
      <el-tab-pane label="设施和环境条件要求" name="设施和环境条件要求">
        <FacilitiesEnvironmentalConditions v-if="activeName === '设施和环境条件要求'"/>
      </el-tab-pane>
<!--      <el-tab-pane label="环境条件引用" name="环境条件引用">-->
<!--        空-->
<!--      </el-tab-pane>-->
<!--      <el-tab-pane label="安全区代表检查" name="安全区代表检查">-->
<!--        空-->
<!--      </el-tab-pane>-->
<!--      <el-tab-pane label="安全内务" name="安全内务">-->
<!--        空-->
<!--      </el-tab-pane>-->
<!--      <el-tab-pane label="废物处理交接记录" name="废物处理交接记录">-->
<!--        空-->
<!--      </el-tab-pane>-->
      <el-tab-pane label="三废处理" name="三废处理">
        <a6-three-wastes-treatment v-if="activeName === '三废处理'"></a6-three-wastes-treatment>
      </el-tab-pane>
      <el-tab-pane label="进出人员管理" name="进出人员管理">
        <personnel-management v-if="activeName === '进出人员管理'"></personnel-management>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import FacilitiesEnvironmentalConditions from "../do/a6-facilities-environment/facilities-environmental-conditions.vue";
// 外来人员管理
import ExternalPersonnelManagement from "../do/a6-facilities-environment/external-personnel-management.vue";
import A6ThreeWastesTreatment from '../do/a6-facilities-environment/three-wastes-treatment.vue';
import PersonnelManagement from '../do/a6-facilities-environment/Personnel-management.vue';

export default {
  components: {
    PersonnelManagement,
    A6ThreeWastesTreatment,
    ExternalPersonnelManagement,
    FacilitiesEnvironmentalConditions},
  data() {
    return {
      activeName: '设施和环境条件要求',
    }
  }
}
</script>

<style scoped>
.main {
  padding: 15px 0;
  width: 100%;
  border-radius: 15px;
}
/deep/ .el-tabs--border-card>.el-tabs__content {
  height: calc(100vh - 9em);
  padding: 0;
}
</style>
